FacetField (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.response.FacetField class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.response
Class FacetField

    java.lang.Object
      org.apache.solr.client.solrj.response.FacetField

All Implemented Interfaces:
  Serializable

    public class FacetField

extends Object
implements Serializable

A utility class to hold the facet response. It could use the NamedList container, but for JSTL, it is nice to have something that implements List so it can be iterated

Since:
  solr 1.3
Version:
  $Id: FacetField.java 638357 2008-03-18 13:12:27Z gsingers $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `FacetField.Count`

Constructor Summary
`FacetField(String n)`
`FacetField(String name, String gap, Date end)`

Method Summary
`void` | `add(String name, long cnt)` Insert at the end of the list
`Date` | `getEnd()` Date End Facet parameter
`String` | `getGap()` Date Gap Facet parameter
`FacetField` | `getLimitingFields(long max)`
`String` | `getName()`
`int` | `getValueCount()`
`List<FacetField.Count>` | `getValues()`
`void` | `insert(String name, long cnt)` Insert at the beginning of the list.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FacetField

    public FacetField(String n)

### FacetField

    public FacetField(String name,
                      String gap,
                      Date end)

Method Detail

### getGap

    public String getGap()

  Date Gap Facet parameter

  Returns:
    the value specified for facet.date.gap

### getEnd

    public Date getEnd()

  Date End Facet parameter

  Returns:
    the value specified for facet.date.end

### add

    public void add(String name,
                    long cnt)

  Insert at the end of the list

### insert

    public void insert(String name,
                       long cnt)

  Insert at the beginning of the list.

### getName

    public String getName()

### getValues

    public List<FacetField.Count> getValues()

### getValueCount

    public int getValueCount()

### getLimitingFields

    public FacetField getLimitingFields(long max)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD